package com.maintain.business.service;

import com.maintain.business.domain.ErpRepairFormClaim;
import com.maintain.business.domain.vo.ErpRepairFormClaimVo;
import com.maintain.business.domain.bo.ErpRepairFormClaimBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 报修单-理赔Service接口
 *
 * @author liushuai
 * @date 2025-04-01
 */
public interface IErpRepairFormClaimService {

    /**
     * 查询报修单-理赔
     */
    ErpRepairFormClaimVo queryById(Long id);

    /**
     * 查询报修单-理赔列表
     */
    TableDataInfo<ErpRepairFormClaimVo> queryPageList(ErpRepairFormClaimBo bo, PageQuery pageQuery);

    /**
     * 查询报修单-理赔列表
     */
    List<ErpRepairFormClaimVo> queryList(ErpRepairFormClaimBo bo);

    /**
     * 新增报修单-理赔
     */
    Boolean insertByBo(ErpRepairFormClaimBo bo);

    /**
     * 修改报修单-理赔
     */
    Boolean updateByBo(ErpRepairFormClaimBo bo);

    /**
     * 校验并批量删除报修单-理赔信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
